package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.DContract;
import com.dsk.cscec.domain.bo.ProjectSearchBo;
import com.dsk.cscec.domain.vo.ProjectSearchVo;
import org.apache.ibatis.annotations.Param;

/**
 * 合同维表(DContract)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-21 13:38:28
 */
public interface DContractMapper extends BaseMapper<DContract> {
    /**
     * 获取所有项目列表数据
     */
    Page<ProjectSearchVo> selectPageProjectList(IPage<ProjectSearchVo> page, @Param("bo") ProjectSearchBo bo);
}

